Arch Linux Pro Audio

The Arch Linux Pro Audio Community

AUR versions are newer than archaudio-preview

Home Forums Package requests AUR versions are newer than archaudio-preview

This topic contains 1 reply, has 2 voices, and was last updated by  schivmeister 4 years, 8 months ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #1459

    parchedtoads
    Member

    As a byproduct of updating my system including my music apps, i notice that AUR versions of certain apps are newer than those in archaudio-preview.

    Is there a reason for this, and would it be easier to simply use the AUR pkgbuilds in archaudio-preview instead, catching up with versions in our beloved repo?

    examples:

    :: Starting full system upgrade…
    warning: aeolus: local (0.8.4-5) is newer than archaudio-preview (0.8.4-2)
    warning: frescobaldi: local (2.0.4-1) is newer than archaudio-preview (1.2.0-1)
    warning: lv2-ir: local (1.3.1-2) is newer than archaudio-preview (1.3-1)
    warning: xjadeo: local (0.6.2-1) is newer than archaudio-preview (0.6.0_rc6-1)
    warning: yoshimi: local (0.060.11-1) is newer than archaudio-preview (0.060.1-3)
    warning: zita-resampler: local (1.1.0-1) is newer than archaudio-preview (0.1.1-1)
    warning: zita-rev1: local (0.2.1-1) is newer than archaudio-preview (0.1.1-2)
    warning: zynjacku: local (6-1) is newer than archaudio-preview (5.2-2)

    #1466

    schivmeister
    Member

    Yes this can definitely happen and will happen until we get packagers who can deal with the pain of keeping PKGBUILDs synchronised between our repos and their AUR accounts. But it’s better to think of the our repo as simply a binary repo. That way whatever new updates AUR has simply means one of us must take the trouble to update our binaries accordingly.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.